OpenVDB: LeafManager< GridT > Class Template Reference

OpenVDB 9.0.0

Public Member Functions | List of all members
LeafManager< GridT > Class Template Reference

LeafNanager maintains a linear array of leaf nodes. More...

`#include <nanovdb/util/NodeManager.h>`

## Public Member Functions
| LeafManager ()
| Empty constructor. More...
| LeafManager (GridT &grid)
| Construction from a grid. More...
| LeafManager (const LeafManager &)=delete
| Disallow copy construction. More...
| LeafManager (LeafManager &&)
| Move constructor. More...
| ~LeafManager ()
| Destructor. More...
LeafManager & | operator= (const LeafManager &)=delete
| Disallow copy assignment operator. More...
LeafManager & | operator= (LeafManager &&)
| Move assignment operator. More...
bool | empty () const
| Return true of this instance is un-initialized. More...
size_t | memUsage () const
| Return the memory footprint in bytes of this instance. More...
GridT * | grid ()
| Return a pointer to the grid, or NULL if it is uninitialized. More...
uint32_t | size () const
| Return the number of leaf nodes. More...
LeafT * | operator[] (uint32_t i) const
| Return the i'th leaf node. More...

## Detailed Description

template<typename GridT>
class nanovdb::LeafManager< GridT >

LeafNanager maintains a linear array of leaf nodes.

## Constructor & Destructor Documentation

## ◆ LeafManager() [1/4]

LeafManager | ( |  | ) |
| inline

Empty constructor.

## ◆ LeafManager() [2/4]

LeafManager | ( | GridT & | grid | ) |

Construction from a grid.

## ◆ LeafManager() [3/4]

LeafManager | ( | const LeafManager< GridT > & |  | ) |
| delete

Disallow copy construction.

## ◆ LeafManager() [4/4]

LeafManager | ( | LeafManager< GridT > && | other | ) |

Move constructor.

## ◆ ~LeafManager()

~LeafManager | ( |  | ) |
| inline

Destructor.

## Member Function Documentation

## ◆ empty()

bool empty | ( |  | ) | const
| inline

Return true of this instance is un-initialized.

## ◆ grid()

GridT * grid | ( |  | ) |
| inline

Return a pointer to the grid, or NULL if it is uninitialized.

## ◆ memUsage()

size_t memUsage | ( |  | ) | const
| inline

Return the memory footprint in bytes of this instance.

## ◆ operator=() [1/2]

LeafManager & operator= | ( | const LeafManager< GridT > & |  | ) |
| delete

Disallow copy assignment operator.

## ◆ operator=() [2/2]

LeafManager< GridT > & operator= | ( | LeafManager< GridT > && | other | ) |

Move assignment operator.

## ◆ operator[]()

LeafT * operator[] | ( | uint32_t | i | ) | const
| inline

Return the i'th leaf node.

Warning
  Never call this method is the LeafManager is uninitialized

## ◆ size()

uint32_t size | ( |  | ) | const
| inline

Return the number of leaf nodes.